/*
 * @Descripttion: 
 * @version: 
 * @Author: guanxiaoxin
 * @Date: 2023-06-28 17:47:37
 * @LastEditors: guanxiaoxin
 * @LastEditTime: 2023-06-29 09:59:02
 * @FilePath: \fis_h5_school\src\router\mainRoute.js
 */
import React from 'react';
import CourseDetailPage from '../pages/CourseDetailPage';
import CourseHomePage from '../pages/CourseHomePage';
import MyCoursePage from '../pages/MyCoursePage';
import CoursePlayerPage from '../pages/CoursePlayerPage';
import GuestCoursePlayerPage from '../pages/GuestCoursePlayerPage';
import CreateCourse from '../pages/CreateCoursePage';
import AllAlbumsPage from '../pages/AllAlbumsPage';
import AllCoursesPage from '../pages/AllCoursesPage';
import DiscussionBoardPage from '../pages/DiscussionBoardPage';

const routes = [
  {
    path: '/course/:token/:platform/:language?',
    title: '课程首页',
    component: <CourseHomePage />,
  },
  {
    path: '/all_albums/:language?',
    title: '查看更多 -> 全部专辑',
    component: <AllAlbumsPage />,
  },
  {
    path: '/all_courses/:language?',
    title: '查看更多 -> 全部课程',
    component: <AllCoursesPage />,
  },
  {
    path: '/my_course/:token/:platform/:language?',
    title: '我的课程',
    component: <MyCoursePage />,
    exact: false,
  },
  {
    path: '/detail/:courseCode/:subsetTab/:language?',
    title: '课程详情',
    component: <CourseDetailPage />,
  },
  {
    path: '/create_course/:language?',
    title: '创建课程',
    component: <CreateCourse />,
  },
  {
    path: '/guest_video_course_player/:courseCode/:language?',
    title: '游客的课程播放器',
    component: <GuestCoursePlayerPage />,
  },
  {
    path: '/video_course_player/:courseCode/:platform?/:token?/:language?',
    title: '课程播放器',
    component: <CoursePlayerPage />,
  },
  {
    path: '/discussionBoard/:courseCode/:token/:language?',
    title: '讨论区',
    component: <DiscussionBoardPage />,
  },
];
export default routes;
